# Created by pyp2rpm-3.3.6
%global pypi_name sphinx-notfound-page
%global srcname sphinx_notfound_page

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 2
Summary:        Sphinx extension to build a 404 page with absolute URLs
Group:          Development/Python
License:        MIT
URL:            https://github.com/readthedocs/sphinx-notfound-page
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Create a custom 404 page with absolute URLs hardcoded.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-sphinx_notfound_page < 1.0.0-2

%description -n python3-%{pypi_name}
Create a custom 404 page with absolute URLs hardcoded.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x doc

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files notfound

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html


%changelog
* Tue Dec 26 2023 wally <wally> 1.0.0-2.mga10
+ Revision: 2021754
- rebuild for py3.12
- use %%pyproject_buildrequires
- obsolete old pkg name with underscores

* Fri Nov 10 2023 papoteur <papoteur> 1.0.0-1.mga10
+ Revision: 2005680
- new 1.0.0

* Sun Jan 15 2023 wally <wally> 0.8.3-1.mga9
+ Revision: 1933491
- new version 0.8.3

* Wed Mar 30 2022 umeabot <umeabot> 0.8-2.mga9
+ Revision: 1833852
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.8-1.mga9
+ Revision: 1783391
- version 0.8
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.7.1-1.mga9
+ Revision: 1733850
- imported package python-sphinx-notfound-page

